/***

tracer.c -- Error Handler example, a simple function tracing example

    Copyright (C) 1997  CSEG, Inc., All rights reserved.
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                   
 
    The GNU General Public License is in the file COPYING which resides
    in the top directory of the distribution tree.
 
***/

#include <eh.h>              /* include the Error Handler header */

/* local file static functions */
static void func1();
static void func2();
static void func21();
static void func22();
static void func221();

int
main(int argc, char **argv)  /* argc/argv required by Error Handler */
{
   EHMAIN(argc, argv) /* initialize the Error Handler */
   {
      func1();
      func2();
   } EHENDMAIN;       /* end main section, catch exceptions here */
   EHDONE(0);         /* close Error Handler, return 0 to OS */
}

static
void
func1()
{
   EHTRACE(func1);
   /* do nothing */
   EHLEAVE();
}

static
void
func2()
{
   EHTRACE(func2); /* enable function tracing */
   func21();
   func22();
   EHLEAVE();      /* full function tracing when leaving function */
}

static
void
func21()
{
   EHTRACE(func21);
   /* do nothing */
   EHLEAVE();
}

static
void
func22()
{
   EHTRACE(func22);
   func221();
   EHLEAVE();
}

static
void
func221()
{
   EHTRACE(func221);
   /* do nothing */
   EHLEAVE();
}


