/***

ehconfig.h.in --  Error Handler, input to ./configure to generate ehconfig.h.
                  According to the environment that ./configure detects,
                  the #undefs will either get commented out, or will get
                  changed to #define 1's. Likewise, the #define 0's will 
                  either be unchanged or get changed to #defined 1's.

    Copyright (C) 1997  CSEG, Inc., All rights reserved.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                   

    The GNU General Public License is in the file COPYING which resides
    in the top directory of the distribution tree.

***/

#ifndef EHCONFIG_H
#define EHCONFIG_H 1

static const char*ehconfig_h =
       "$Id: ehconfig.h.in,v 1.2 1997/09/03 00:52:58 ccobb Exp $";


/***
Was configure run? If so, the following line will be changed
from #undef HAVE_CONFIG_H to #define HAVE_CONFIG_H 1 and the
reset of this file will also be modified according to the
analysis that configure performed.  If configure was not run,
the rest of this file is not processed and the environmental 
characteristics of this system are autodetected in ehenv.h.
***/
#undef HAVE_CONFIG_H
#ifdef HAVE_CONFIG_H

/* Define if you have the ANSI C header files.  */
#undef STDC_HEADERS

/* for eh */
#undef HAVE_ARRAYMEM
#undef ehEXCEPTIONHANDLING
#undef bool
#undef true
#undef false
#undef HAVE_BUILTIN_BOOL
#undef HAVE_BUILTIN_FALSE
#undef HAVE_BUILTIN_TRUE

/* Define if you have the ANSI C header files.  */
#undef STDC_HEADERS

/* Define if you have the <dirent.h> header file.  */
#undef HAVE_DIRENT_H

/* Define if you have the <fcntl.h> header file.  */
#undef HAVE_FCNTL_H

/* Define if you have the <limits.h> header file.  */
#undef HAVE_LIMITS_H

/* Define if you have the <ndir.h> header file.  */
#undef HAVE_NDIR_H

/* Define if you have the <pwd.h> header file.  */
#undef HAVE_PWD_H

/* Define if you have the <stdarg.h> header file.  */
#undef HAVE_STDARG_H

/* Define if you have the <iosfwd.h> header file.  */
#undef HAVE_IOSFWD_H

/* Define if you have the <sys/dir.h> header file.  */
#undef HAVE_SYS_DIR_H

/* Define if you have the <sys/types.h> header file.  */
#undef HAVE_SYS_TYPES_H

/* Define if you have the <sys/ipc.h> header file.  */
#undef HAVE_SYS_IPC_H

/* Define if you have the <sys/ndir.h> header file.  */
#undef HAVE_SYS_NDIR_H

/* Define if you have the <sys/shm.h> header file.  */
#undef HAVE_SYS_SHM_H

/* Define if you have the <sys/utsname.h> header file.  */
#undef HAVE_SYS_UTSNAME_H

/* Define if you have the <unistd.h> header file.  */
#undef HAVE_UNISTD_H

/* Define if you have the <be/kernel/OS.h> header file.  */
#undef HAVE_BE_KERNEL_OS_H

#endif /* HAVE_CONFIG_H */
#endif /* EHCONFIG_H */

