/***

t_remote.c -- Error Handler, simple test for ehremote

    Copyright (C) 1997  CSEG, Inc., All rights reserved.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                   

    The GNU General Public License is in the file COPYING which resides
    in the top directory of the distribution tree.

***/

static const char*rcsid =
       "$Id: t_remote.c,v 1.1.1.1 1997/09/02 12:18:25 ccobb Exp $";

#define _POSIX_SOURCE 1

#include "eh.h"

EHBEGINEXTERNC
#include <stdio.h>
EHENDEXTERNC

//#include <iostream>

EHFILENAME("t_remote.c");

int 
main(
   int   argc, 
   char**argv)
{
   EHMAIN(argc, argv) /* initialize Error Handler */
   {
      while (true)
      {
         EHCTRLC();  // check for control c */

         EHERR("This is a C error message.");
         //ehcerr << "This is a C++ error message." << endl;

         EHWRN("This is a C warning message.");
         //ehcwrn << "This is a C++ warning message." << endl;

         EHREM("This is a C remark message.");
         //ehcrem << "This is a C++ remark message." << endl;

         EHDBG("This is a C debug message.");
         //ehcdbg << "This is a C++ debug message." << endl;
      }
   } EHENDMAIN;

   EHDONE(ehError());    /* de-initialize Error Handler and return */
}
